Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: knew4v5 2.6.0 Testing

  1. #1
    Join Date
    Jun 2007
    Location
    St. Paul, MN, USA
    Posts
    1,340

    knew4v5 2.6.0 Testing

    I got the client to install. And I think that I configured it correctly. But I can't remember what my PIN is. Does the client use that when it is on the local network?

    When I try to run it, it errors out. Which might be because of the PIN. But the kodi.log shows:
    Code:
    2019-04-06 19:56:34.777 T:1937412112   DEBUG: ------ Window Deinit (DialogAddonInfo.xml) ------
    2019-04-06 19:56:34.824 T:1157624688   DEBUG: /storage/.kodi/addons/script.kodi.knew4v5
    2019-04-06 19:56:34.825 T:1157624688   DEBUG: ['/storage/.kodi/addons/script.kodi.knew4v5/resources/src', '/storage/.kodi/addons/script.kodi.knew4v5/resources/lib', '', '/storage/.kodi/addons/script.kodi.knew4v5', '/storage/.kodi/addons/script.module.dateutil/lib', '/storage/.kodi/addons/script.module.future/libs', '/storage/.kodi/addons/script.module.kodi-six/libs', '/storage/.kodi/addons/script.module.six/lib', '/usr/lib/python27.zip', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/lib/python2.7/site-packages', '/usr/lib/python2.7/site-packages/gtk-2.0', u'/storage/.kodi/addons/script.module.future/libs/future/standard_library/Lib']
    2019-04-06 19:56:34.832 T:1157624688   ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                                 - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                                Error Type: <type 'exceptions.ImportError'>
                                                Error Contents: No module named lib2to3.pgen2.parse
                                                Traceback (most recent call last):
                                                  File "/storage/.kodi/addons/script.kodi.knew4v5/default.py", line 35, in <module>
                                                    from nextpvr.home import HomeWindow
                                                  File "/storage/.kodi/addons/script.kodi.knew4v5/resources/src/nextpvr/home.py", line 22, in <module>
                                                    from past.utils import old_div
                                                  File "/storage/.kodi/addons/script.module.future/libs/past/__init__.py", line 88, in <module>
                                                    from past.translation import install_hooks as autotranslate
                                                  File "/storage/.kodi/addons/script.module.future/libs/past/translation/__init__.py", line 41, in <module>
                                                    from lib2to3.pgen2.parse import ParseError
                                                ImportError: No module named lib2to3.pgen2.parse
                                                -->End of Python script error report<--
    2019-04-06 19:56:34.832 T:1157624688   DEBUG: onExecutionDone(157, /storage/.kodi/addons/script.kodi.knew4v5/default.py)
    2019-04-06 19:56:34.832 T:1937412112   DEBUG: ------ Window Init (DialogNotification.xml) ------
    2019-04-06 19:56:35.101 T:1157624688    INFO: Python interpreter stopped
    So I'm guessing that I may be missing a dependency (lib2to3)?

    I'll try a couple more things and then shut everything down and restart to get a set of clean logs to upload.

  2. #2
    Join Date
    May 2006
    Location
    Canada
    Posts
    28,426
    Sorry perhaps the dependencies weren't automatically installed, On the addon details page do you see them?

    Martin

  3. #3
    Join Date
    Jun 2007
    Location
    St. Paul, MN, USA
    Posts
    1,340
    Quote Originally Posted by mvallevand View Post
    Sorry perhaps the dependencies weren't automatically installed, On the addon details page do you see them?
    It lists:
    script.module.future 0.16.0.4 (installed)
    script.module.dateutil 2.7.3 (installed)
    script.module.kodi-six 0.0.0 (installed)
    script.module.six 1.9.0 (installed)

  4. #4
    Join Date
    May 2006
    Location
    Canada
    Posts
    28,426
    Ok I'm pretty sure this is the issue on LibreElec

    https://forum.kodi.tv/showthread.php...633#pid2703633

    Can you comment out this line from home.py (with a #)

    from past.utils import old_div

    and see if it exits with a different error?

    Martin

  5. #5
    Join Date
    Jun 2007
    Location
    St. Paul, MN, USA
    Posts
    1,340
    Quote Originally Posted by mvallevand View Post
    Ok I'm pretty sure this is the issue on LibreElec

    https://forum.kodi.tv/showthread.php...633#pid2703633

    Can you comment out this line from home.py (with a #)

    from past.utils import old_div

    and see if it exits with a different error?

    Martin
    Looks like it's the same error. The full log is at http://ix.io/1Fv2

  6. #6
    Join Date
    May 2006
    Location
    Canada
    Posts
    28,426
    It made it past that home.py module which is what I wanted to see. I might have a workaround but this is why testing this version is so different.

    LibreElec just enough OS to cause me headaches.

    Martin

  7. #7
    Join Date
    Jun 2007
    Location
    St. Paul, MN, USA
    Posts
    1,340
    Quote Originally Posted by mvallevand View Post
    LibreElec just enough OS to cause me headaches.
    LOL

    Let me know if you want me to try something else. Otherwise I'll wait to hear from you that you've got a new version to test.

  8. #8
    Join Date
    May 2006
    Location
    Canada
    Posts
    28,426
    Ok I updated the repo version to 2.6.1 Hopefully this gets by that issue.

    Martin

  9. #9
    Join Date
    Jun 2007
    Location
    St. Paul, MN, USA
    Posts
    1,340
    Quote Originally Posted by mvallevand View Post
    Ok I updated the repo version to 2.6.1 Hopefully this gets by that issue.
    The kodi log is still showing it as version 2.6.0, but the kodi itself is showing that 2.6.1 was installed.
    Code:
    2019-04-06 22:06:34.105 T:1267688304   DEBUG: knew4v5 Version: 2.6.0 Date: 2019-03-26
    2019-04-06 22:06:35.306 T:1649812336   DEBUG: [Netflix] Parsing inline data parsing successfull
    2019-04-06 22:06:35.374 T:1267688304   ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                                 - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                                Error Type: <type 'exceptions.ImportError'>
                                                Error Contents: No module named lib2to3.pgen2.parse
                                                Traceback (most recent call last):
                                                  File "/storage/.kodi/addons/script.kodi.knew4v5/default.py", line 35, in <module>
                                                    from nextpvr.home import HomeWindow
                                                  File "/storage/.kodi/addons/script.kodi.knew4v5/resources/src/nextpvr/home.py", line 30, in <module>
                                                    from XNEWA_Connect import XNEWA_Connect
                                                  File "/storage/.kodi/addons/script.kodi.knew4v5/resources/src/XNEWA_Connect.py", line 45, in <module>
                                                    from fix_utf8 import smartUTF8
                                                  File "/storage/.kodi/addons/script.kodi.knew4v5/resources/lib/fix_utf8.py", line 4, in <module>
                                                    from past.builtins import basestring
                                                  File "/storage/.kodi/addons/script.module.future/libs/past/__init__.py", line 88, in <module>
                                                    from past.translation import install_hooks as autotranslate
                                                  File "/storage/.kodi/addons/script.module.future/libs/past/translation/__init__.py", line 41, in <module>
                                                    from lib2to3.pgen2.parse import ParseError
                                                ImportError: No module named lib2to3.pgen2.parse
                                                -->End of Python script error report<--
    2019-04-06 22:06:35.375 T:1267688304   DEBUG: onExecutionDone(23, /storage/.kodi/addons/script.kodi.knew4v5/default.py)
    2019-04-06 22:06:35.402 T:1937379344   DEBUG: ------ Window Init (DialogNotification.xml) ------
    2019-04-06 22:06:35.713 T:1267688304    INFO: Python interpreter stopped
    2019-04-06 22:06:35.713 T:1267688304   DEBUG: Thread LanguageInvoker 1267688304 terminating
    Full logs here: http://ix.io/1Fvc

  10. #10
    Join Date
    May 2006
    Location
    Canada
    Posts
    28,426
    Ok I missed that one but fortunately that on has the workaround on the Kodi forum. Should be fixed in 2.6.2 now.

    Martin

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •